


# sendChatroomAudioMessage method








[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../../nim_core/NIMResult-class.md)&lt;[NIMChatroomMessage](../../nim_core/NIMChatroomMessage-class.md)>> sendChatroomAudioMessage
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) roomId, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) filePath, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) duration, [NIMNosScene](../../nim_core/NIMNosScene.md) nosScene = NIMNosScenes.defaultIm, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) resend = false, [ChatroomMessageAction](../../nim_core/ChatroomMessageAction.md)? action})





<p>发送聊天室音频消息</p>



## Implementation

```dart
Future<NIMResult<NIMChatroomMessage>> sendChatroomAudioMessage({
  required String roomId,
  required String filePath,
  required int duration,
  NIMNosScene nosScene = NIMNosScenes.defaultIm,
  bool resend = false,
  ChatroomMessageAction? action,
}) async {
  return _createMessage({
    'roomId': roomId,
    'filePath': filePath,
    'duration': duration,
    'nosScene': nosScene,
    'messageType': 'audio',
  }).then((messageResult) async {
    if (messageResult.isSuccess) {
      final message = messageResult.data as NIMChatroomMessage;
      await action?.call(message);
      return sendChatroomMessage(message, resend);
    } else {
      return messageResult;
    }
  });
}
```







