


# sendChatroomCustomMessage method








[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../../nim_core/NIMResult-class.md)&lt;[NIMChatroomMessage](../../nim_core/NIMChatroomMessage-class.md)>> sendChatroomCustomMessage
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) roomId, [NIMMessageAttachment](../../nim_core/NIMMessageAttachment-class.md)? attachment, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) resend = false, [ChatroomMessageAction](../../nim_core/ChatroomMessageAction.md)? action})





<p>发送聊天室自定义消息</p>



## Implementation

```dart
Future<NIMResult<NIMChatroomMessage>> sendChatroomCustomMessage({
  required String roomId,
  NIMMessageAttachment? attachment,
  bool resend = false,
  ChatroomMessageAction? action,
}) async {
  return _createMessage({
    'roomId': roomId,
    'attachment': attachment?.toMap(),
    'messageType': 'custom',
  }).then((messageResult) async {
    if (messageResult.isSuccess) {
      final message = messageResult.data as NIMChatroomMessage;
      await action?.call(message);
      return sendChatroomMessage(message, resend);
    } else {
      return messageResult;
    }
  });
}
```







