


# sendChatroomLocationMessage method








[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../../nim_core/NIMResult-class.md)&lt;[NIMChatroomMessage](../../nim_core/NIMChatroomMessage-class.md)>> sendChatroomLocationMessage
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) roomId, required [double](https://api.flutter.dev/flutter/dart-core/double-class.html) latitude, required [double](https://api.flutter.dev/flutter/dart-core/double-class.html) longitude, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) address, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) resend = false, [ChatroomMessageAction](../../nim_core/ChatroomMessageAction.md)? action})





<p>发送聊天室地理位置消息</p>



## Implementation

```dart
Future<NIMResult<NIMChatroomMessage>> sendChatroomLocationMessage({
  required String roomId,
  required double latitude,
  required double longitude,
  required String address,
  bool resend = false,
  ChatroomMessageAction? action,
}) async {
  return _createMessage({
    'roomId': roomId,
    'latitude': latitude,
    'longitude': longitude,
    'address': address,
    'messageType': 'location',
  }).then((messageResult) async {
    if (messageResult.isSuccess) {
      final message = messageResult.data as NIMChatroomMessage;
      await action?.call(message);
      return sendChatroomMessage(message, resend);
    } else {
      return messageResult;
    }
  });
}
```







