


# sendChatroomRobotMessage method








[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../../nim_core/NIMResult-class.md)&lt;[NIMChatroomMessage](../../nim_core/NIMChatroomMessage-class.md)>> sendChatroomRobotMessage
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) roomId, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) robotAccount, required [NIMRobotMessageType](../../nim_core/NIMRobotMessageType.md) type, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? text, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? content, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? target, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? params, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) resend = false, [ChatroomMessageAction](../../nim_core/ChatroomMessageAction.md)? action})





<p>创建机器人消息</p>



## Implementation

```dart
Future<NIMResult<NIMChatroomMessage>> sendChatroomRobotMessage({
  required String roomId,
  required String robotAccount,
  required NIMRobotMessageType type,
  String? text,
  String? content,
  String? target,
  String? params,
  bool resend = false,
  ChatroomMessageAction? action,
}) async {
  return _createMessage({
    'roomId': roomId,
    'robotAccount': robotAccount,
    'robotMessageType': _robotMessageTypeMap[type],
    'text': text,
    'content': content,
    'target': target,
    'params': params,
    'messageType': 'robot',
  }).then((messageResult) async {
    if (messageResult.isSuccess) {
      final message = messageResult.data as NIMChatroomMessage;
      await action?.call(message);
      return sendChatroomMessage(message, resend);
    } else {
      return messageResult;
    }
  });
}
```







