


# sendChatroomTextMessage method








[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../../nim_core/NIMResult-class.md)&lt;[NIMChatroomMessage](../../nim_core/NIMChatroomMessage-class.md)>> sendChatroomTextMessage
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) roomId, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) text, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) resend = false, [ChatroomMessageAction](../../nim_core/ChatroomMessageAction.md)? action})





<p>发送聊天室文本消息</p>



## Implementation

```dart
Future<NIMResult<NIMChatroomMessage>> sendChatroomTextMessage({
  required String roomId,
  required String text,
  bool resend = false,
  ChatroomMessageAction? action,
}) async {
  return _createMessage({
    'roomId': roomId,
    'text': text,
    'messageType': 'text',
  }).then((messageResult) async {
    if (messageResult.isSuccess) {
      final message = messageResult.data as NIMChatroomMessage;
      await action?.call(message);
      return sendChatroomMessage(message, resend);
    } else {
      return messageResult;
    }
  });
}
```







