


# sendChatroomVideoMessage method








[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../../nim_core/NIMResult-class.md)&lt;[NIMChatroomMessage](../../nim_core/NIMChatroomMessage-class.md)>> sendChatroomVideoMessage
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) roomId, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) filePath, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) duration, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) width, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) height, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? displayName, [NIMNosScene](../../nim_core/NIMNosScene.md) nosScene = NIMNosScenes.defaultIm, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) resend = false, [ChatroomMessageAction](../../nim_core/ChatroomMessageAction.md)? action})





<p>发送聊天室视频消息</p>



## Implementation

```dart
Future<NIMResult<NIMChatroomMessage>> sendChatroomVideoMessage({
  required String roomId,
  required String filePath,
  required int duration,
  required int width,
  required int height,
  String? displayName,
  NIMNosScene nosScene = NIMNosScenes.defaultIm,
  bool resend = false,
  ChatroomMessageAction? action,
}) async {
  return _createMessage({
    'roomId': roomId,
    'filePath': filePath,
    'duration': duration,
    'width': width,
    'height': height,
    'displayName': displayName,
    'nosScene': nosScene,
    'messageType': 'video',
  }).then((messageResult) async {
    if (messageResult.isSuccess) {
      final message = messageResult.data as NIMChatroomMessage;
      await action?.call(message);
      return sendChatroomMessage(message, resend);
    } else {
      return messageResult;
    }
  });
}
```







