


# Event class













## Constructors

[Event](../nim_core/Event/Event.md) ({[String](https://api.flutter.dev/flutter/dart-core/String-class.html)? eventId, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? eventType, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? eventValue, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? config, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? expiry, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? broadcastOnlineOnly, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? syncSelfEnable, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? publisherAccount, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? publishTime, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? publisherClientType, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? multiClientConfig, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[int](https://api.flutter.dev/flutter/dart-core/int-class.html), [String](https://api.flutter.dev/flutter/dart-core/String-class.html)>? multiClientConfigMap, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? nimConfig})

   

[Event.fromMap](../nim_core/Event/Event.fromMap.md) ([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>? json)

   _factory_


## Properties

##### [broadcastOnlineOnly](../nim_core/Event/broadcastOnlineOnly.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否只广播给在线用户，若为 false，事件支持在线广播和登录后同步  
_<span class="feature">final</span>_



##### [config](../nim_core/Event/config.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



事件的扩展字段，最大长度为 256 字节，由事件发布客户端配置  
_<span class="feature">final</span>_



##### [eventId](../nim_core/Event/eventId.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



事件ID，非用户设置字段  
_<span class="feature">final</span>_



##### [eventType](../nim_core/Event/eventType.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



事件类型，1-99999 为云信保留类型  
_<span class="feature">final</span>_



##### [eventValue](../nim_core/Event/eventValue.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



事件的状态值  
_<span class="feature">final</span>_



##### [expiry](../nim_core/Event/expiry.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



事件的有效期，范围为 60s 到 7days，数值单位为秒  
_<span class="feature">final</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [multiClientConfig](../nim_core/Event/multiClientConfig.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



多端 config 配置  
_<span class="feature">final</span>_



##### [multiClientConfigMap](../nim_core/Event/multiClientConfigMap.md) &#8594; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[int](https://api.flutter.dev/flutter/dart-core/int-class.html), [String](https://api.flutter.dev/flutter/dart-core/String-class.html)>?



解析 multiClientConfig 的多端 config 配置 map  
_<span class="feature">final</span>_



##### [nimConfig](../nim_core/Event/nimConfig.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



预定义事件中服务端配置项,仅仅对预留事件有效，非用户设置字段  
_<span class="feature">final</span>_



##### [publisherAccount](../nim_core/Event/publisherAccount.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



事件发布者的云信账号，非用户设置字段  
_<span class="feature">final</span>_



##### [publisherClientType](../nim_core/Event/publisherClientType.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



事件发布者客户端类型 @see ClientType，非用户设置字段  
_<span class="feature">final</span>_



##### [publishTime](../nim_core/Event/publishTime.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



事件发布的时间，非用户设置字段  
_<span class="feature">final</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [syncSelfEnable](../nim_core/Event/syncSelfEnable.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否支持多端同步  
_<span class="feature">final</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toMap](../nim_core/Event/toMap.md)() [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>



  




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















