


# MessageBuilder class













## Constructors

[MessageBuilder](../nim_core/MessageBuilder/MessageBuilder.md) ()

   


## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_







## Static Methods

##### [createAudioMessage](../nim_core/MessageBuilder/createAudioMessage.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) filePath, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) fileSize, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) duration, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? base64, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? displayName, [NIMNosScene](../nim_core/NIMNosScene.md) nosScene = NIMNosScenes.defaultIm}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMMessage](../nim_core/NIMMessage-class.md)>>



创建音频消息
<code>displayName</code> 字段无效，不建议使用
<code>base64</code> 字段为web端专用，web端<code>filePath</code> 可传空字符串  




##### [createCustomMessage](../nim_core/MessageBuilder/createCustomMessage.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? content, [NIMMessageAttachment](../nim_core/NIMMessageAttachment-class.md)? attachment, [NIMCustomMessageConfig](../nim_core/NIMCustomMessageConfig-class.md)? config}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMMessage](../nim_core/NIMMessage-class.md)>>



创建自定义消息  




##### [createEmptyMessage](../nim_core/MessageBuilder/createEmptyMessage.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) timestamp}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMMessage](../nim_core/NIMMessage-class.md)>>



创建空消息  




##### [createFileMessage](../nim_core/MessageBuilder/createFileMessage.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) filePath, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? base64, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? fileSize, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) displayName, [NIMNosScene](../nim_core/NIMNosScene.md) nosScene = NIMNosScenes.defaultIm}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMMessage](../nim_core/NIMMessage-class.md)>>



创建文件消息
<code>base64</code> 字段为web端专用，web端<code>filePath</code> 可传空字符串  




##### [createImageMessage](../nim_core/MessageBuilder/createImageMessage.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) filePath, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) fileSize, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? displayName, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? base64, [NIMNosScene](../nim_core/NIMNosScene.md) nosScene = NIMNosScenes.defaultIm}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMMessage](../nim_core/NIMMessage-class.md)>>



创建图片消息
<code>base64</code> 字段为web端专用，web端<code>filePath</code> 可传空字符串  




##### [createLocationMessage](../nim_core/MessageBuilder/createLocationMessage.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, required [double](https://api.flutter.dev/flutter/dart-core/double-class.html) latitude, required [double](https://api.flutter.dev/flutter/dart-core/double-class.html) longitude, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) address}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMMessage](../nim_core/NIMMessage-class.md)>>



创建地理位置消息  




##### [createTextMessage](../nim_core/MessageBuilder/createTextMessage.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) text}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMMessage](../nim_core/NIMMessage-class.md)>>



创建文本消息  




##### [createTipMessage](../nim_core/MessageBuilder/createTipMessage.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? content}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMMessage](../nim_core/NIMMessage-class.md)>>



创建Tip消息
/// <code>content</code> web端tip内容传这个字段  




##### [createVideoMessage](../nim_core/MessageBuilder/createVideoMessage.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) filePath, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? fileSize, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? base64, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) duration, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) width, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) height, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) displayName, [NIMNosScene](../nim_core/NIMNosScene.md) nosScene = NIMNosScenes.defaultIm}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMMessage](../nim_core/NIMMessage-class.md)>>



创建视频消息
<code>base64</code> 字段为web端专用，web端<code>filePath</code> 可传空字符串  












