


# createSession method








[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../../nim_core/NIMResult-class.md)&lt;[NIMSession](../../nim_core/NIMSession-class.md)>> createSession
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../../nim_core/NIMSessionType.md) sessionType, [int](https://api.flutter.dev/flutter/dart-core/int-class.html) tag = 0, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) time, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) linkToLastMessage = false})





<p>创建一条空的联系人会话，并保存到数据库中
<br> <code>sessionId</code> - 会话id ，对方帐号或群组id。
<br> <code>sessionType</code> - 会话类型
<br> <code>tag</code> - 会话tag ， eg:置顶标签（UIKit中的实现： RECENT_TAG_STICKY） ，用户参照自己的tag 实现即可， 如不需要，传 0 即可
<br> <code>time</code> - 会话时间 ，单位为ms。
<br> <code>linkToLastMessage</code> - 是否放入最后一条消息的相关信息</p>



## Implementation

```dart
/// <br> [sessionId] - 会话id ，对方帐号或群组id。
/// <br> [sessionType] - 会话类型
/// <br> [tag] - 会话tag ， eg:置顶标签（UIKit中的实现： RECENT_TAG_STICKY） ，用户参照自己的tag 实现即可， 如不需要，传 0 即可
/// <br> [time] - 会话时间 ，单位为ms。
/// <br> [linkToLastMessage] - 是否放入最后一条消息的相关信息
Future<NIMResult<NIMSession>> createSession({
  required String sessionId,
  required NIMSessionType sessionType,
  int tag = 0,
  required int time,
  bool linkToLastMessage = false,
}) {
  return _platform.createSession(
    sessionId: sessionId,
    sessionType: sessionType,
    time: time,
    tag: tag,
    linkToLastMessage: linkToLastMessage,
  );
}
```







