


# NIMAndroidSDKOptions class












**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [NIMSDKOptions](../nim_core/NIMSDKOptions-class.md)
- NIMAndroidSDKOptions






**Annotations**

- @[JsonSerializable](https://pub.dev/documentation/json_annotation/4.7.0/json_annotation/JsonSerializable-class.html)()


## Constructors

[NIMAndroidSDKOptions](../nim_core/NIMAndroidSDKOptions/NIMAndroidSDKOptions.md) ({[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) improveSDKProcessPriority = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) preLoadServers = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) reducedIM = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) checkManifestConfig = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) disableAwake = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enabledQChatMessageCache = false, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? databaseEncryptKey, [int](https://api.flutter.dev/flutter/dart-core/int-class.html) thumbnailSize = 350, [int](https://api.flutter.dev/flutter/dart-core/int-class.html) fetchServerTimeInterval = 2000, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? customPushContentType, [NIMMixPushConfig](../nim_core/NIMMixPushConfig-class.md)? mixPushConfig, [NIMStatusBarNotificationConfig](../nim_core/NIMStatusBarNotificationConfig-class.md)? notificationConfig, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enableFcs = true, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) appKey, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? sdkRootDir, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? cdnTrackInterval, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? customClientType, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? shouldSyncStickTopSessionInfos, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableReportLogAutomatically, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? loginCustomTag, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableDatabaseBackup, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? shouldSyncUnreadCount, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? shouldConsiderRevokedMessageUnreadCount, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableTeamMessageReadReceipt, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? shouldTeamNotificationMessageMarkUnread, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableAnimatedImageThumbnail, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enablePreloadMessageAttachment, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? useAssetServerAddressConfig, [NIMLoginInfo](../nim_core/NIMLoginInfo-class.md)? autoLoginInfo, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[NIMNosScene](../nim_core/NIMNosScene.md), [int](https://api.flutter.dev/flutter/dart-core/int-class.html)>? nosSceneConfig})

   

[NIMAndroidSDKOptions.fromMap](../nim_core/NIMAndroidSDKOptions/NIMAndroidSDKOptions.fromMap.md) ([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html) options)

   _factory_


## Properties

##### [appKey](../nim_core/NIMSDKOptions/appKey.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



app key  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [autoLoginInfo](../nim_core/NIMSDKOptions/autoLoginInfo.md) &#8594; [NIMLoginInfo](../nim_core/NIMLoginInfo-class.md)?



自动登录账号信息
windows&amp;macos 暂不支持自动登录  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [cdnTrackInterval](../nim_core/NIMSDKOptions/cdnTrackInterval.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



cdn统计回调触发间隔。触发cdn拉流前设置，触发拉流后改动将不生效
windows&amp;macos 暂不支持  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [checkManifestConfig](../nim_core/NIMAndroidSDKOptions/checkManifestConfig.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否检查 Manifest 配置
最好在调试阶段打开，调试通过之后请关掉  
_<span class="feature">final</span>_



##### [customClientType](../nim_core/NIMSDKOptions/customClientType.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



自定义客户端类型，小于等于0视为没有自定义类型  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [customPushContentType](../nim_core/NIMAndroidSDKOptions/customPushContentType.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



离线推送不显示详情时，要显示的文案对应的类型名称  
_<span class="feature">final</span>_



##### [databaseEncryptKey](../nim_core/NIMAndroidSDKOptions/databaseEncryptKey.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



数据库加密秘钥，用于消息数据库加密。<br>
如果不设置，数据库处于明文状态；
设置后，数据库会加密保存数据，之前明文保存的历史数据会被转为加密保存；
一旦开启过加密功能后，不支持退回明文保存状态。  
_<span class="feature">final</span>_



##### [disableAwake](../nim_core/NIMAndroidSDKOptions/disableAwake.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



禁止后台进程唤醒ui进程  
_<span class="feature">final</span>_



##### [enableAnimatedImageThumbnail](../nim_core/NIMSDKOptions/enableAnimatedImageThumbnail.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



默认情况下，从服务器获取原图缩略图时，如果原图为动图，我们将返回原图第一帧的缩略图。
而开启这个选项后，我们将返回缩略图后的动图。
这个选项只影响从服务器获取的缩略图，不影响本地生成的缩略图。默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [enableDatabaseBackup](../nim_core/NIMSDKOptions/enableDatabaseBackup.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否开启数据库备份功能，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [enabledQChatMessageCache](../nim_core/NIMAndroidSDKOptions/enabledQChatMessageCache.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否开启圈组消息缓存支持，默认不开启  
_<span class="feature">final</span>_



##### [enableFcs](../nim_core/NIMAndroidSDKOptions/enableFcs.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否开启融合存储  
_<span class="feature">final</span>_



##### [enablePreloadMessageAttachment](../nim_core/NIMSDKOptions/enablePreloadMessageAttachment.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否需要SDK自动预加载多媒体消息的附件。
如果打开，SDK收到多媒体消息后，图片和视频会自动下载缩略图，音频会自动下载文件。
如果关闭，第三方APP可以只有决定要不要下载以及何时下载附件内容，典型时机为消息列表第一次滑动到
这条消息时，才触发下载，以节省用户流量。
默认打开。  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [enableReportLogAutomatically](../nim_core/NIMSDKOptions/enableReportLogAutomatically.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否开启IM日志自动上报，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [enableTeamMessageReadReceipt](../nim_core/NIMSDKOptions/enableTeamMessageReadReceipt.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否启用群消息已读功能，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [fetchServerTimeInterval](../nim_core/NIMAndroidSDKOptions/fetchServerTimeInterval.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



获取服务器时间连续请求间隔时间, 最小1000ms， 默认2000ms  
_<span class="feature">final</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [improveSDKProcessPriority](../nim_core/NIMAndroidSDKOptions/improveSDKProcessPriority.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否提高SDK进程优先级（默认提高，可以降低SDK核心进程被系统回收的概率）；
如果部分机型有意外的情况，可以根据机型决定是否开启。
4.6.0版本起，弱 IM 模式下，强制不提高SDK进程优先级  
_<span class="feature">final</span>_



##### [loginCustomTag](../nim_core/NIMSDKOptions/loginCustomTag.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



登录时的自定义字段，登陆成功后会同步给其他端  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [mixPushConfig](../nim_core/NIMAndroidSDKOptions/mixPushConfig.md) &#8594; [NIMMixPushConfig](../nim_core/NIMMixPushConfig-class.md)?



第三方推送配置  
_<span class="feature">final</span>_



##### [nosSceneConfig](../nim_core/NIMSDKOptions/nosSceneConfig.md) &#8594; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[NIMNosScene](../nim_core/NIMNosScene.md), [int](https://api.flutter.dev/flutter/dart-core/int-class.html)>?



SDK nos 场景配置  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [notificationConfig](../nim_core/NIMAndroidSDKOptions/notificationConfig.md) &#8594; [NIMStatusBarNotificationConfig](../nim_core/NIMStatusBarNotificationConfig-class.md)?



通知栏配置  
_<span class="feature">final</span>_



##### [preLoadServers](../nim_core/NIMAndroidSDKOptions/preLoadServers.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



预加载服务，默认true，不建议设置为false，预加载连接可以优化登陆流程，提升用户体验  
_<span class="feature">final</span>_



##### [reducedIM](../nim_core/NIMAndroidSDKOptions/reducedIM.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否是弱IM场景(慎用)  
_<span class="feature">final</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [sdkRootDir](../nim_core/NIMSDKOptions/sdkRootDir.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



sdk 根目录  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [shouldConsiderRevokedMessageUnreadCount](../nim_core/NIMSDKOptions/shouldConsiderRevokedMessageUnreadCount.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



开启时，如果被撤回的消息本地还未读，那么当消息发生撤回时，
对应会话的未读计数将减 1 以保持最近会话未读数的一致性。默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [shouldSyncStickTopSessionInfos](../nim_core/NIMSDKOptions/shouldSyncStickTopSessionInfos.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否同步置顶会话记录，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [shouldSyncUnreadCount](../nim_core/NIMSDKOptions/shouldSyncUnreadCount.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否开启会话已读多端同步，支持多端同步会话未读数，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [shouldTeamNotificationMessageMarkUnread](../nim_core/NIMSDKOptions/shouldTeamNotificationMessageMarkUnread.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



群通知消息是否计入未读数，默认不计入未读  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [thumbnailSize](../nim_core/NIMAndroidSDKOptions/thumbnailSize.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



消息缩略图的尺寸。<br>
该值为最长边的大小。下载的缩略图最长边不会超过该值。  
_<span class="feature">final</span>_



##### [useAssetServerAddressConfig](../nim_core/NIMSDKOptions/useAssetServerAddressConfig.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否使用自定义服务器地址配置文件  
_<span class="feature">final</span><span class="feature">inherited</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toMap](../nim_core/NIMAndroidSDKOptions/toMap.md)() [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>



  
_<span class="feature">override</span>_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















