


# reducedIM property







**Annotations**

- @[JsonKey](https://pub.dev/documentation/json_annotation/4.7.0/json_annotation/JsonKey-class.html)(defaultValue: false)
[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) reducedIM
  
_<span class="feature">final</span>_



<p>是否是弱IM场景(慎用)</p>
<p>
默认为 false，即强 IM 场景。
弱 IM 场景：APP 仅在部分场景按需使用 IM 能力(不需要在应用启动时就做自动登录)，
并不需要保证消息通知、数据的实时性，那么这里可以填 true。
</p><p>
在弱 IM 场景下，SDK 将在初始化过程中不启动 push 进程(维护与云信服务器的长连接)，
一直延迟到 IM 手动登录过程再做懒启动。
在弱 IM 场景下，push 进程的生命周期同 UI 进程，即当 UI 进程被销毁后，push 进程将自行退出，
不占用系统资源，也不再保持与云信服务器的连接。
注意：弱 IM 场景下，请不要使用自动登录，如果使用了自动登录，那么该设置自动失效。</p>



## Implementation

```dart
@JsonKey(defaultValue: false)
final bool reducedIM;
```







