


# NIMChatroomMember class









<p>聊天室成员信息</p>









**Annotations**

- @[JsonSerializable](https://pub.dev/documentation/json_annotation/4.7.0/json_annotation/JsonSerializable-class.html)()


## Constructors

[NIMChatroomMember](../nim_core/NIMChatroomMember/NIMChatroomMember.md) ({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) roomId, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account, required [NIMChatroomMemberType](../nim_core/NIMChatroomMemberType.md) memberType, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? nickname, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? avatar, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>? extension, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) isOnline = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) isInBlackList = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) isMuted = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) isTempMuted = false, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? tempMuteDuration, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? isValid = true, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? enterTime, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)>? tags, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? notifyTargetTags})

   

[NIMChatroomMember.fromMap](../nim_core/NIMChatroomMember/NIMChatroomMember.fromMap.md) ([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic> json)

   _factory_


## Properties

##### [account](../nim_core/NIMChatroomMember/account.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



成员账号  
_<span class="feature">final</span>_



##### [avatar](../nim_core/NIMChatroomMember/avatar.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



聊天室内的头像，预留字段，可从NimUserInfo中取avatar，可以由用户进聊天室时提交。  
_<span class="feature">final</span>_



##### [enterTime](../nim_core/NIMChatroomMember/enterTime.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



进入聊天室的时间点,对于离线成员该字段为空  
_<span class="feature">final</span>_



##### [extension](../nim_core/NIMChatroomMember/extension.md) &#8594; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>?



开发者扩展字段，长度限制4k，可以由用户进聊天室时提交。  
_<span class="feature">final</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [isInBlackList](../nim_core/NIMChatroomMember/isInBlackList.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否在黑名单中  
_<span class="feature">final</span>_



##### [isMuted](../nim_core/NIMChatroomMember/isMuted.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是禁言用户  
_<span class="feature">final</span>_



##### [isOnline](../nim_core/NIMChatroomMember/isOnline.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



成员是否处于在线状态，仅特殊成员才可能离线，对游客/匿名用户而言只能是在线。  
_<span class="feature">final</span>_



##### [isTempMuted](../nim_core/NIMChatroomMember/isTempMuted.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否临时禁言  
_<span class="feature">final</span>_



##### [isValid](../nim_core/NIMChatroomMember/isValid.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



记录有效标记为  
_<span class="feature">final</span>_



##### [memberType](../nim_core/NIMChatroomMember/memberType.md) &#8594; [NIMChatroomMemberType](../nim_core/NIMChatroomMemberType.md)



成员类型：主要分为游客和非游客，非游客又分成受限用户、普通用户、创建者、管理员;  
_<span class="feature">final</span>_



##### [nickname](../nim_core/NIMChatroomMember/nickname.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



聊天室内的昵称字段，预留字段，可从NimUserInfo中取，也可以由用户进聊天室时提交。  
_<span class="feature">final</span>_



##### [notifyTargetTags](../nim_core/NIMChatroomMember/notifyTargetTags.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



通知目标标签  
_<span class="feature">final</span>_



##### [roomId](../nim_core/NIMChatroomMember/roomId.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



聊天室id  
_<span class="feature">final</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [tags](../nim_core/NIMChatroomMember/tags.md) &#8594; [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)>?



固定成员的记录更新时间,用于固定成员列表的排列查询
用户标签  
_<span class="feature">final</span>_



##### [tempMuteDuration](../nim_core/NIMChatroomMember/tempMuteDuration.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



临时禁言的解除时长,单位秒  
_<span class="feature">final</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















