


# NIMChatroomMessage class












**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [NIMMessage](../nim_core/NIMMessage-class.md)
- NIMChatroomMessage






**Annotations**

- @[JsonSerializable](https://pub.dev/documentation/json_annotation/4.7.0/json_annotation/JsonSerializable-class.html)()


## Constructors

[NIMChatroomMessage](../nim_core/NIMChatroomMessage/NIMChatroomMessage.md) ({[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enableHistory = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) isHighPriorityMessage = false, [NIMChatroomMessageExtension](../nim_core/NIMChatroomMessageExtension-class.md)? extension, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? messageId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? sessionId, [NIMSessionType](../nim_core/NIMSessionType.md)? sessionType, required [NIMMessageType](../nim_core/NIMMessageType.md) messageType, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? messageSubType, [NIMMessageStatus](../nim_core/NIMMessageStatus.md)? status, required [NIMMessageDirection](../nim_core/NIMMessageDirection.md) messageDirection, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? fromAccount, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? content, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) timestamp, [NIMMessageAttachment](../nim_core/NIMMessageAttachment-class.md)? messageAttachment, [NIMMessageAttachmentStatus](../nim_core/NIMMessageAttachmentStatus.md)? attachmentStatus, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? uuid, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? serverId, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>? remoteExtension, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>? localExtension, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? callbackExtension, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>? pushPayload, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? pushContent, [NIMMemberPushOption](../nim_core/NIMMemberPushOption-class.md)? memberPushOption, [NIMClientType](../nim_core/NIMClientType.md)? senderClientType, [NIMAntiSpamOption](../nim_core/NIMAntiSpamOption-class.md)? antiSpamOption, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) messageAck = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) hasSendAck = false, [int](https://api.flutter.dev/flutter/dart-core/int-class.html) ackCount = 0, [int](https://api.flutter.dev/flutter/dart-core/int-class.html) unAckCount = 0, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) clientAntiSpam = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) isInBlackList = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) isChecked = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) sessionUpdate = true, [NIMMessageThreadOption](../nim_core/NIMMessageThreadOption-class.md)? messageThreadOption, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? quickCommentUpdateTime, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) isDeleted = false, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>? yidunAntiCheating, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? env, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? fromNickname, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? isRemoteRead})

   

[NIMChatroomMessage.fromMap](../nim_core/NIMChatroomMessage/NIMChatroomMessage.fromMap.md) ([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic> map)

   _factory_


## Properties

##### [ackCount](../nim_core/NIMMessage/ackCount.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



群消息已读回执的已读数  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [antiSpamOption](../nim_core/NIMMessage/antiSpamOption.md) &#8596; [NIMAntiSpamOption](../nim_core/NIMAntiSpamOption-class.md)?



易盾反垃圾配置项  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [attachmentStatus](../nim_core/NIMMessage/attachmentStatus.md) &#8596; [NIMMessageAttachmentStatus](../nim_core/NIMMessageAttachmentStatus.md)?



消息附件下载状态 仅针对收到的消息  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [callbackExtension](../nim_core/NIMMessage/callbackExtension.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



第三方回调回来的自定义扩展字段  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [clientAntiSpam](../nim_core/NIMMessage/clientAntiSpam.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



命中了客户端反垃圾，服务器处理  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [config](../nim_core/NIMMessage/config.md) &#8596; [NIMCustomMessageConfig](../nim_core/NIMCustomMessageConfig-class.md)?



消息配置  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [content](../nim_core/NIMMessage/content.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



消息文本
消息中除 <code>IMMessageType.text</code> 和 <code>IMMessageType.tip</code>  外，其他消息 <code>text</code> 字段都为 null  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [enableHistory](../nim_core/NIMChatroomMessage/enableHistory.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



该消息是否要保存到服务器  
_<span class="feature">read / write</span>_



##### [env](../nim_core/NIMMessage/env.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



环境变量
用于指向不同的抄送，第三方回调等配置
注意：数据库不会保存此字段  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [extension](../nim_core/NIMChatroomMessage/extension.md) &#8596; [NIMChatroomMessageExtension](../nim_core/NIMChatroomMessageExtension-class.md)?



消息扩展  
_<span class="feature">read / write</span>_



##### [fromAccount](../nim_core/NIMMessage/fromAccount.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



消息发送方帐号  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [fromNickname](../nim_core/NIMMessage/fromNickname.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



消息发送方昵称  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [hasSendAck](../nim_core/NIMMessage/hasSendAck.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否已经发送过群消息已读回执  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [isChecked](../nim_core/NIMMessage/isChecked.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



消息的选中状态  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [isDeleted](../nim_core/NIMMessage/isDeleted.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



消息是否标记为已删除
已删除的消息在获取本地消息列表时会被过滤掉，只有根据 messageId
获取消息的接口可能会返回已删除消息。聊天室消息里，此字段无效。  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [isHighPriorityMessage](../nim_core/NIMChatroomMessage/isHighPriorityMessage.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否是高优先级消息  
_<span class="feature">read / write</span>_



##### [isInBlackList](../nim_core/NIMMessage/isInBlackList.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



发送消息给对方， 是不是被对方拉黑了（消息本身是发送成功的）  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [isRemoteRead](../nim_core/NIMMessage/isRemoteRead.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



判断自己发送的消息对方是否已读
只有当当前消息为 <a href="../nim_core/NIMSessionType.md">NIMSessionType.p2p</a> 消息且 <a href="../nim_core/NIMMessageDirection.md">NIMMessageDirection.outgoing</a> 为 <code>true</code>  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [localExtension](../nim_core/NIMMessage/localExtension.md) &#8596; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>?



本地扩展字段（仅本地有效）  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [memberPushOption](../nim_core/NIMMessage/memberPushOption.md) &#8596; [NIMMemberPushOption](../nim_core/NIMMemberPushOption-class.md)?



指定成员推送选项  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [messageAck](../nim_core/NIMMessage/messageAck.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否需要消息已读（主要针对群消息）  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [messageAttachment](../nim_core/NIMMessage/messageAttachment.md) &#8596; [NIMMessageAttachment](../nim_core/NIMMessageAttachment-class.md)?



消息附件内容  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [messageDirection](../nim_core/NIMMessage/messageDirection.md) &#8596; [NIMMessageDirection](../nim_core/NIMMessageDirection.md)



发送消息或者接收到消息  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [messageId](../nim_core/NIMMessage/messageId.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



消息ID,唯一标识  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [messageSubType](../nim_core/NIMMessage/messageSubType.md) &#8596; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



消息子类型,小于等于0表示没有子类型  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [messageThreadOption](../nim_core/NIMMessage/messageThreadOption.md) &#8596; [NIMMessageThreadOption](../nim_core/NIMMessageThreadOption-class.md)?



消息的thread信息  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [messageType](../nim_core/NIMMessage/messageType.md) &#8594; [NIMMessageType](../nim_core/NIMMessageType.md)



消息类型  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [pushContent](../nim_core/NIMMessage/pushContent.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



消息推送文案,长度限制200字节  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [pushPayload](../nim_core/NIMMessage/pushPayload.md) &#8596; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>?



消息推送Payload
@discussion iOS 上支持字段参考苹果技术文档,长度限制 2K,撤回消息时该字段无效  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [quickCommentUpdateTime](../nim_core/NIMMessage/quickCommentUpdateTime.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



快捷评论的最后更新时间 (SDK内部使用，不建议用户使用)  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [remoteExtension](../nim_core/NIMMessage/remoteExtension.md) &#8596; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>?



消息拓展字段
服务器下发的消息拓展字段，并不在本地做持久化，目前只有聊天室中的消息才有该字段  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [senderClientType](../nim_core/NIMMessage/senderClientType.md) &#8594; [NIMClientType](../nim_core/NIMClientType.md)?



发送者客户端类型  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [serverId](../nim_core/NIMMessage/serverId.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



消息 ServerID  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [sessionId](../nim_core/NIMMessage/sessionId.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



会话ID,如果当前session为team,则sessionId为teamId,如果是P2P则为对方帐号  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [sessionType](../nim_core/NIMMessage/sessionType.md) &#8594; [NIMSessionType](../nim_core/NIMSessionType.md)?



会话类型,当前仅支持P2P,Team和Chatroom  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [sessionUpdate](../nim_core/NIMMessage/sessionUpdate.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



消息是否需要刷新到session服务
只有消息存离线的情况下，才会判断该参数，默认：是  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [status](../nim_core/NIMMessage/status.md) &#8596; [NIMMessageStatus](../nim_core/NIMMessageStatus.md)?



消息状态  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [timestamp](../nim_core/NIMMessage/timestamp.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



消息发送时间
本地存储消息可以通过修改时间戳来调整其在会话列表中的位置，发完服务器的消息时间戳将被服务器自动修正  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [unAckCount](../nim_core/NIMMessage/unAckCount.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



群消息已读回执的未读数  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [uuid](../nim_core/NIMMessage/uuid.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



消息UUID  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [yidunAntiCheating](../nim_core/NIMMessage/yidunAntiCheating.md) &#8596; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>?



易盾反垃圾增强反作弊专属字段  
_<span class="feature">read / write</span><span class="feature">inherited</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toMap](../nim_core/NIMChatroomMessage/toMap.md)() [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>



  
_<span class="feature">override</span>_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















