


# NIMCustomMessageConfig class









<p>消息的配置选项，主要用于设定消息的声明周期，是否需要推送，是否需要计入未读数等。</p>









**Annotations**

- @[JsonSerializable](https://pub.dev/documentation/json_annotation/4.7.0/json_annotation/JsonSerializable-class.html)()


## Constructors

[NIMCustomMessageConfig](../nim_core/NIMCustomMessageConfig/NIMCustomMessageConfig.md) ({[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enableHistory = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enableRoaming = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enableSelfSync = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enablePush = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enablePushNick = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enableUnreadCount = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enableRoute = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) enablePersist = true})

   

[NIMCustomMessageConfig.fromMap](../nim_core/NIMCustomMessageConfig/NIMCustomMessageConfig.fromMap.md) ([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic> map)

   _factory_


## Properties

##### [enableHistory](../nim_core/NIMCustomMessageConfig/enableHistory.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



该消息是否要保存到服务器  
_<span class="feature">final</span>_



##### [enablePersist](../nim_core/NIMCustomMessageConfig/enablePersist.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



该消息是否要存离线  
_<span class="feature">final</span>_



##### [enablePush](../nim_core/NIMCustomMessageConfig/enablePush.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



该消息是否要消息提醒，如果为true，那么对方收到消息后，系统通知栏会有提醒  
_<span class="feature">final</span>_



##### [enablePushNick](../nim_core/NIMCustomMessageConfig/enablePushNick.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



该消息是否需要推送昵称（针对iOS客户端有效），如果为true，那么对方收到消息后，iOS端将显示推送昵称  
_<span class="feature">final</span>_



##### [enableRoaming](../nim_core/NIMCustomMessageConfig/enableRoaming.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



该消息是否需要漫游  
_<span class="feature">final</span>_



##### [enableRoute](../nim_core/NIMCustomMessageConfig/enableRoute.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



该消息是否支持路由，如果为true，默认按照app的路由开关（如果有配置抄送地址则将抄送该消息），该字段web端不支持  
_<span class="feature">final</span>_



##### [enableSelfSync](../nim_core/NIMCustomMessageConfig/enableSelfSync.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



多端同时登录时，发送一条自定义消息后，是否要同步到其他同时登录的客户端  
_<span class="feature">final</span>_



##### [enableUnreadCount](../nim_core/NIMCustomMessageConfig/enableUnreadCount.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



该消息是否要计入未读数，如果为true，那么对方收到消息后，最近联系人列表中未读数加1  
_<span class="feature">final</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toMap](../nim_core/NIMCustomMessageConfig/toMap.md)() [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>



  




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















