


# NIMMACOSSDKOptions class












**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [NIMSDKOptions](../nim_core/NIMSDKOptions-class.md)
- [NIMWINDOWSSDKOptions](../nim_core/NIMWINDOWSSDKOptions-class.md)
- NIMMACOSSDKOptions






**Annotations**

- @[JsonSerializable](https://pub.dev/documentation/json_annotation/4.7.0/json_annotation/JsonSerializable-class.html)()


## Constructors

[NIMMACOSSDKOptions](../nim_core/NIMMACOSSDKOptions/NIMMACOSSDKOptions.md) ({[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableAppNap = false, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? pushCertName, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? pushToken, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? databaseEncryptKey, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableClientAntispam = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enabledHttps = true, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? needUpdateLbsBeforeRelogin = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? shouldVchatMissMessageMarkUnread = false, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? maxAutoLoginRetryTimes = 0, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? preloadImageNameTemplate, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? preloadImageQuality, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? preloadImageResize, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? useAssetServerConfig = false, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) appKey, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? sdkRootDir, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? cndTrackInterval, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? customClientType, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? shouldSyncStickTopSessionInfos, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableReportLogAutomatically, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? loginCustomTag, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableDatabaseBackup, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? shouldSyncUnreadCount, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? shouldConsiderRevokedMessageUnreadCount, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableTeamMessageReadReceipt, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? shouldTeamNotificationMessageMarkUnread, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enableAnimatedImageThumbnail, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? enablePreloadMessageAttachment, [NIMLoginInfo](../nim_core/NIMLoginInfo-class.md)? autoLoginInfo, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[NIMNosScene](../nim_core/NIMNosScene.md), [int](https://api.flutter.dev/flutter/dart-core/int-class.html)>? nosSceneConfig})

   

[NIMMACOSSDKOptions.fromMap](../nim_core/NIMMACOSSDKOptions/NIMMACOSSDKOptions.fromMap.md) ([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html) map)

   _factory_


## Properties

##### [appKey](../nim_core/NIMSDKOptions/appKey.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



app key  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [autoLoginInfo](../nim_core/NIMSDKOptions/autoLoginInfo.md) &#8594; [NIMLoginInfo](../nim_core/NIMLoginInfo-class.md)?



自动登录账号信息
windows&amp;macos 暂不支持自动登录  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [cdnTrackInterval](../nim_core/NIMSDKOptions/cdnTrackInterval.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



cdn统计回调触发间隔。触发cdn拉流前设置，触发拉流后改动将不生效
windows&amp;macos 暂不支持  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [customClientType](../nim_core/NIMSDKOptions/customClientType.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



自定义客户端类型，小于等于0视为没有自定义类型  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [databaseEncryptKey](../nim_core/NIMWINDOWSSDKOptions/databaseEncryptKey.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



define WINDOWS options here
数据库秘钥，必填，目前只支持最多32个字符的加密密钥！建议使用32个字符  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [enableAnimatedImageThumbnail](../nim_core/NIMSDKOptions/enableAnimatedImageThumbnail.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



默认情况下，从服务器获取原图缩略图时，如果原图为动图，我们将返回原图第一帧的缩略图。
而开启这个选项后，我们将返回缩略图后的动图。
这个选项只影响从服务器获取的缩略图，不影响本地生成的缩略图。默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [enableAppNap](../nim_core/NIMMACOSSDKOptions/enableAppNap.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否启用macos下的App Nap功能，默认为false  
_<span class="feature">read / write</span>_



##### [enableClientAntispam](../nim_core/NIMWINDOWSSDKOptions/enableClientAntispam.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



客户端反垃圾，默认为false，如需开启请提前咨询技术支持或销售  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [enableDatabaseBackup](../nim_core/NIMSDKOptions/enableDatabaseBackup.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否开启数据库备份功能，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [enabledHttps](../nim_core/NIMWINDOWSSDKOptions/enabledHttps.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



bool 是否启用HTTPS协议，默认为true  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [enablePreloadMessageAttachment](../nim_core/NIMSDKOptions/enablePreloadMessageAttachment.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否需要SDK自动预加载多媒体消息的附件。
如果打开，SDK收到多媒体消息后，图片和视频会自动下载缩略图，音频会自动下载文件。
如果关闭，第三方APP可以只有决定要不要下载以及何时下载附件内容，典型时机为消息列表第一次滑动到
这条消息时，才触发下载，以节省用户流量。
默认打开。  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [enableReportLogAutomatically](../nim_core/NIMSDKOptions/enableReportLogAutomatically.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否开启IM日志自动上报，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [enableTeamMessageReadReceipt](../nim_core/NIMSDKOptions/enableTeamMessageReadReceipt.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否启用群消息已读功能，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [loginCustomTag](../nim_core/NIMSDKOptions/loginCustomTag.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



登录时的自定义字段，登陆成功后会同步给其他端  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [maxAutoLoginRetryTimes](../nim_core/NIMWINDOWSSDKOptions/maxAutoLoginRetryTimes.md) &#8596; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



int 登录重试最大次数，如需设置建议设置大于3次，默认填0，SDK默认设置次数  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [needUpdateLbsBeforeRelogin](../nim_core/NIMWINDOWSSDKOptions/needUpdateLbsBeforeRelogin.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



在进行重新登录前是否先刷新一下lbs,对于切换网络的场景适用  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [nosSceneConfig](../nim_core/NIMSDKOptions/nosSceneConfig.md) &#8594; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[NIMNosScene](../nim_core/NIMNosScene.md), [int](https://api.flutter.dev/flutter/dart-core/int-class.html)>?



SDK nos 场景配置  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [preloadImageNameTemplate](../nim_core/NIMWINDOWSSDKOptions/preloadImageNameTemplate.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



string 预下载图片命名规则，以{filename}为token进行替换  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [preloadImageQuality](../nim_core/NIMWINDOWSSDKOptions/preloadImageQuality.md) &#8596; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



预下载图片质量，选填，范围 0-100  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [preloadImageResize](../nim_core/NIMWINDOWSSDKOptions/preloadImageResize.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



预下载图片基于长宽做内缩略,选填,比如宽100高50,则赋值为100x50,中间为字母小写x  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [pushCertName](../nim_core/NIMMACOSSDKOptions/pushCertName.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



define macos options here
云信后台配置的推送证书名称  
_<span class="feature">read / write</span>_



##### [pushToken](../nim_core/NIMMACOSSDKOptions/pushToken.md) &#8596; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



推送的设备token  
_<span class="feature">read / write</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [sdkRootDir](../nim_core/NIMSDKOptions/sdkRootDir.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



sdk 根目录  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [shouldConsiderRevokedMessageUnreadCount](../nim_core/NIMSDKOptions/shouldConsiderRevokedMessageUnreadCount.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



开启时，如果被撤回的消息本地还未读，那么当消息发生撤回时，
对应会话的未读计数将减 1 以保持最近会话未读数的一致性。默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [shouldSyncStickTopSessionInfos](../nim_core/NIMSDKOptions/shouldSyncStickTopSessionInfos.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否同步置顶会话记录，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [shouldSyncUnreadCount](../nim_core/NIMSDKOptions/shouldSyncUnreadCount.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否开启会话已读多端同步，支持多端同步会话未读数，默认关闭  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [shouldTeamNotificationMessageMarkUnread](../nim_core/NIMSDKOptions/shouldTeamNotificationMessageMarkUnread.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



群通知消息是否计入未读数，默认不计入未读  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [shouldVchatMissMessageMarkUnread](../nim_core/NIMWINDOWSSDKOptions/shouldVchatMissMessageMarkUnread.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



语音消息未接通消息是否计入未读数，默认为false  
_<span class="feature">read / write</span><span class="feature">inherited</span>_



##### [useAssetServerAddressConfig](../nim_core/NIMSDKOptions/useAssetServerAddressConfig.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否使用自定义服务器地址配置文件  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [useAssetServerConfig](../nim_core/NIMWINDOWSSDKOptions/useAssetServerConfig.md) &#8596; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否使用私有化配置  
_<span class="feature">read / write</span><span class="feature">inherited</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toMap](../nim_core/NIMMACOSSDKOptions/toMap.md)() [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>



  
_<span class="feature">override</span>_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















