


# NIMMessage.fileEmptyMessage constructor







NIMMessage.fileEmptyMessage({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../../nim_core/NIMSessionType.md) sessionType, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) filePath, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? base64, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? fileSize, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) displayName, [NIMNosScene](../../nim_core/NIMNosScene.md) nosScene = NIMNosScenes.defaultIm})





## Implementation

```dart
factory NIMMessage.fileEmptyMessage(
    {required String sessionId,
    required NIMSessionType sessionType,
    required String filePath,
    String? base64,
    int? fileSize,
    required String displayName,
    NIMNosScene nosScene = NIMNosScenes.defaultIm}) {
  var extension = filePath.split('.').last;
  var fileAttachment = NIMFileAttachment(
      path: filePath,
      size: fileSize,
      base64: base64,
      displayName: displayName,
      extension: extension,
      nosScene: nosScene);
  return NIMMessage(
      messageDirection: NIMMessageDirection.outgoing,
      messageType: NIMMessageType.file,
      timestamp: new DateTime.now().millisecondsSinceEpoch,
      status: NIMMessageStatus.sending,
      sessionId: sessionId,
      sessionType: sessionType,
      messageAttachment: fileAttachment);
}
```







