


# NIMMessage.imageEmptyMessage constructor







NIMMessage.imageEmptyMessage({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../../nim_core/NIMSessionType.md) sessionType, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) filePath, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) fileSize, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? displayName, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? base64, [NIMNosScene](../../nim_core/NIMNosScene.md) nosScene = NIMNosScenes.defaultIm})





## Implementation

```dart
factory NIMMessage.imageEmptyMessage(
    {required String sessionId,
    required NIMSessionType sessionType,
    required String filePath,
    required int fileSize,
    String? displayName,
    String? base64,
    NIMNosScene nosScene = NIMNosScenes.defaultIm}) {
  var extension = filePath.split('.').last;

  var imageAttachment = NIMImageAttachment(
      path: filePath,
      size: fileSize,
      displayName: displayName,
      base64: base64,
      extension: extension,
      nosScene: nosScene);
  return NIMMessage(
      messageDirection: NIMMessageDirection.outgoing,
      messageType: NIMMessageType.image,
      timestamp: new DateTime.now().millisecondsSinceEpoch,
      status: NIMMessageStatus.sending,
      sessionId: sessionId,
      sessionType: sessionType,
      messageAttachment: imageAttachment);
}
```







