


# NIMMessage.videoEmptyMessage constructor







NIMMessage.videoEmptyMessage({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, required [NIMSessionType](../../nim_core/NIMSessionType.md) sessionType, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) filePath, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? fileSize, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? base64, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) duration, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) width, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) height, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) displayName, [NIMNosScene](../../nim_core/NIMNosScene.md) nosScene = NIMNosScenes.defaultIm})





## Implementation

```dart
factory NIMMessage.videoEmptyMessage(
    {required String sessionId,
    required NIMSessionType sessionType,
    required String filePath,
    int? fileSize,
    String? base64,
    required int duration,
    required int width,
    required int height,
    required String displayName,
    NIMNosScene nosScene = NIMNosScenes.defaultIm}) {
  var extension = filePath.split('.').last;

  var videoAttachment = NIMVideoAttachment(
      path: filePath,
      size: fileSize,
      duration: duration,
      width: width,
      height: height,
      base64: base64,
      displayName: displayName,
      extension: extension,
      nosScene: nosScene);

  return NIMMessage(
      messageDirection: NIMMessageDirection.outgoing,
      messageType: NIMMessageType.video,
      timestamp: new DateTime.now().millisecondsSinceEpoch,
      status: NIMMessageStatus.sending,
      sessionId: sessionId,
      sessionType: sessionType,
      messageAttachment: videoAttachment);
}
```







