


# NIMSession class









<p>最近会话</p>









**Annotations**

- @[JsonSerializable](https://pub.dev/documentation/json_annotation/4.7.0/json_annotation/JsonSerializable-class.html)()


## Constructors

[NIMSession](../nim_core/NIMSession/NIMSession.md) ({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) sessionId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? senderAccount, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? senderNickname, required [NIMSessionType](../nim_core/NIMSessionType.md) sessionType, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? lastMessageId, [NIMMessageType](../nim_core/NIMMessageType.md)? lastMessageType, [NIMMessageStatus](../nim_core/NIMMessageStatus.md)? lastMessageStatus, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? lastMessageContent, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? lastMessageTime, [NIMMessageAttachment](../nim_core/NIMMessageAttachment-class.md)? lastMessageAttachment, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? unreadCount = 0, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>? extension, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>? sessionForWeb, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? tag})

   

[NIMSession.fromMap](../nim_core/NIMSession/NIMSession.fromMap.md) ([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic> map)

   _factory_


## Properties

##### [extension](../nim_core/NIMSession/extension.md) &#8596; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>?



扩展字段  
_<span class="feature">read / write</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [lastMessageAttachment](../nim_core/NIMSession/lastMessageAttachment.md) &#8594; [NIMMessageAttachment](../nim_core/NIMMessageAttachment-class.md)?



如果最近一条消息是扩展消息类型，获取消息的附件内容. <br>
在最近消息列表，第三方app可据此自主定义显示的缩略语  
_<span class="feature">final</span>_



##### [lastMessageContent](../nim_core/NIMSession/lastMessageContent.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取最近一条消息的缩略内容。<br>
对于文本消息，返回文本内容。<br>
对于其他消息，返回一个简单的说明内容  
_<span class="feature">final</span>_



##### [lastMessageId](../nim_core/NIMSession/lastMessageId.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



最近一条消息的消息ID <a href="../nim_core/NIMMessage/uuid.md">NIMMessage.uuid</a>  
_<span class="feature">final</span>_



##### [lastMessageStatus](../nim_core/NIMSession/lastMessageStatus.md) &#8594; [NIMMessageStatus](../nim_core/NIMMessageStatus.md)?



获取最近一条消息状态  
_<span class="feature">final</span>_



##### [lastMessageTime](../nim_core/NIMSession/lastMessageTime.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



获取最近一条消息的时间，单位为ms  
_<span class="feature">final</span>_



##### [lastMessageType](../nim_core/NIMSession/lastMessageType.md) &#8594; [NIMMessageType](../nim_core/NIMMessageType.md)?



获取最近一条消息的消息类型  
_<span class="feature">final</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [senderAccount](../nim_core/NIMSession/senderAccount.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取与该联系人的最后一条消息的发送方的帐号  
_<span class="feature">final</span>_



##### [senderNickname](../nim_core/NIMSession/senderNickname.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取与该联系人的最后一条消息的发送方的昵称  
_<span class="feature">final</span>_



##### [sessionForWeb](../nim_core/NIMSession/sessionForWeb.md) &#8596; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>?



web 专用session字段
其中 isTop?: bool 字段，表示该会话是否置顶；
msgReceiptTime ?: int ，表示对方已读的最新一条消息的时间。  
_<span class="feature">read / write</span>_



##### [sessionId](../nim_core/NIMSession/sessionId.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



最近联系人的ID（好友帐号，群ID等）  
_<span class="feature">final</span>_



##### [sessionType](../nim_core/NIMSession/sessionType.md) &#8594; [NIMSessionType](../nim_core/NIMSessionType.md)



获取会话类型  
_<span class="feature">final</span>_



##### [tag](../nim_core/NIMSession/tag.md) &#8596; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



设置一个标签，用于做联系人置顶、最近会话列表排序等扩展用途。 SDK不关心tag的意义。 <br>
第三方app需要事先规划好可能的用途
android 独有，不推荐使用，建议使用extension扩展字段代替  
_<span class="feature">read / write</span>_



##### [unreadCount](../nim_core/NIMSession/unreadCount.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



获取该联系人的未读消息条数  
_<span class="feature">final</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toMap](../nim_core/NIMSession/toMap.md)() [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>



  




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















