


# NIMStatusBarNotificationConfig class









<p>SDK提供状态栏提醒的配置</p>









**Annotations**

- @[JsonSerializable](https://pub.dev/documentation/json_annotation/4.7.0/json_annotation/JsonSerializable-class.html)()


## Constructors

[NIMStatusBarNotificationConfig](../nim_core/NIMStatusBarNotificationConfig/NIMStatusBarNotificationConfig.md) ({[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) ring = true, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? notificationSound, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) vibrate = true, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? ledARGB, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? ledOnMs, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? ledOffMs, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) hideContent = false, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) downTimeToggle = false, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? downTimeBegin, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? downTimeEnd, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) downTimeEnableNotification = true, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? notificationEntranceClassName, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) titleOnlyShowAppName = false, [NIMNotificationFoldStyle](../nim_core/NIMNotificationFoldStyle.md) notificationFoldStyle = NIMNotificationFoldStyle.all, [int](https://api.flutter.dev/flutter/dart-core/int-class.html)? notificationColor, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) showBadge = true, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? customTitleWhenTeamNameEmpty, [NIMNotificationExtraType](../nim_core/NIMNotificationExtraType.md) notificationExtraType = NIMNotificationExtraType.message})

   

[NIMStatusBarNotificationConfig.fromMap](../nim_core/NIMStatusBarNotificationConfig/NIMStatusBarNotificationConfig.fromMap.md) ([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic> map)

   _factory_


## Properties

##### [customTitleWhenTeamNameEmpty](../nim_core/NIMStatusBarNotificationConfig/customTitleWhenTeamNameEmpty.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



如果群名称为null 或者空串，则使用customTitleWhenTeamNameEmpty 作为通知栏title  
_<span class="feature">final</span>_



##### [downTimeBegin](../nim_core/NIMStatusBarNotificationConfig/downTimeBegin.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



免打扰的开始时间, 格式为HH:mm(24小时制)。  
_<span class="feature">final</span>_



##### [downTimeEnableNotification](../nim_core/NIMStatusBarNotificationConfig/downTimeEnableNotification.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



免打扰期间，是否显示通知，默认为显示  
_<span class="feature">final</span>_



##### [downTimeEnd](../nim_core/NIMStatusBarNotificationConfig/downTimeEnd.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



免打扰的结束时间, 格式为HH:mm(24小时制)。<br>
如果结束时间小于开始时间，免打扰时间为开始时间-24:00-结束时间。  
_<span class="feature">final</span>_



##### [downTimeToggle](../nim_core/NIMStatusBarNotificationConfig/downTimeToggle.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



免打扰设置开关。默认为关闭。  
_<span class="feature">final</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [hideContent](../nim_core/NIMStatusBarNotificationConfig/hideContent.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



不显示消息详情开关, 同时也不再显示消息发送者昵称<br>
默认为false  
_<span class="feature">final</span>_



##### [ledARGB](../nim_core/NIMStatusBarNotificationConfig/ledARGB.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



呼吸灯的颜色
建议尽量使用绿色、蓝色、红色等基本颜色，不要去用混合色。  
_<span class="feature">final</span>_



##### [ledOffMs](../nim_core/NIMStatusBarNotificationConfig/ledOffMs.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



呼吸灯熄灭时的持续时间（毫秒）  
_<span class="feature">final</span>_



##### [ledOnMs](../nim_core/NIMStatusBarNotificationConfig/ledOnMs.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



呼吸灯亮时的持续时间（毫秒）  
_<span class="feature">final</span>_



##### [notificationColor](../nim_core/NIMStatusBarNotificationConfig/notificationColor.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)?



消息通知栏颜色，将应用到 NotificationCompat.Builder 的 setColor 方法
对Android 5.0 以后机型会影响到smallIcon  
_<span class="feature">final</span>_



##### [notificationEntranceClassName](../nim_core/NIMStatusBarNotificationConfig/notificationEntranceClassName.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



通知栏提醒的响应intent的activity类型。<br>
可以为null。如果未提供，将使用包的launcher的入口intent的activity。  
_<span class="feature">final</span>_



##### [notificationExtraType](../nim_core/NIMStatusBarNotificationConfig/notificationExtraType.md) &#8594; [NIMNotificationExtraType](../nim_core/NIMNotificationExtraType.md)



点击通知栏传递的extra类型  
_<span class="feature">final</span>_



##### [notificationFoldStyle](../nim_core/NIMStatusBarNotificationConfig/notificationFoldStyle.md) &#8594; [NIMNotificationFoldStyle](../nim_core/NIMNotificationFoldStyle.md)



消息通知栏的折叠类型，不配置时，以notificationFolded的值为准, 如果为null，表示默认所有折叠  
_<span class="feature">final</span>_



##### [notificationSound](../nim_core/NIMStatusBarNotificationConfig/notificationSound.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



响铃提醒的声音资源，如果不提供，使用系统默认提示音。  
_<span class="feature">final</span>_



##### [ring](../nim_core/NIMStatusBarNotificationConfig/ring.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



状态栏提醒的小图标的资源名称。<br>
如果不提供，使用app的icon  
_<span class="feature">final</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [showBadge](../nim_core/NIMStatusBarNotificationConfig/showBadge.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否APP图标显示未读数(红点)
仅针对Android 8.0+有效  
_<span class="feature">final</span>_



##### [titleOnlyShowAppName](../nim_core/NIMStatusBarNotificationConfig/titleOnlyShowAppName.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



通知栏提醒的标题是否只显示应用名。默认是 false，当有一个会话发来消息时，显示会话名；当有多个会话发来时，显示应用名。
修改为true，那么无论一个还是多个会话发来消息，标题均显示应用名。
应用名称请在AndroidManifest的application节点下设置android:label。  
_<span class="feature">final</span>_



##### [vibrate](../nim_core/NIMStatusBarNotificationConfig/vibrate.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



是否需要振动提醒。<br>
默认为true  
_<span class="feature">final</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toMap](../nim_core/NIMStatusBarNotificationConfig/toMap.md)() [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>



  




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















