


# NIMTeam class


















**Annotations**

- @[JsonSerializable](https://pub.dev/documentation/json_annotation/4.7.0/json_annotation/JsonSerializable-class.html)()


## Constructors

[NIMTeam](../nim_core/NIMTeam/NIMTeam.md) ({[String](https://api.flutter.dev/flutter/dart-core/String-class.html)? id, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? name, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? icon, required [NIMTeamTypeEnum](../nim_core/NIMTeamTypeEnum.md) type, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? announcement, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? introduce, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? creator, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) memberCount, required [int](https://api.flutter.dev/flutter/dart-core/int-class.html) memberLimit, required [NIMVerifyTypeEnum](../nim_core/NIMVerifyTypeEnum.md) verifyType, required [num](https://api.flutter.dev/flutter/dart-core/num-class.html) createTime, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? isMyTeam, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? extension, [String](https://api.flutter.dev/flutter/dart-core/String-class.html)? extServer, required [NIMTeamMessageNotifyTypeEnum](../nim_core/NIMTeamMessageNotifyTypeEnum.md) messageNotifyType, required [NIMTeamInviteModeEnum](../nim_core/NIMTeamInviteModeEnum.md) teamInviteMode, required [NIMTeamBeInviteModeEnum](../nim_core/NIMTeamBeInviteModeEnum.md) teamBeInviteModeEnum, required [NIMTeamUpdateModeEnum](../nim_core/NIMTeamUpdateModeEnum.md) teamUpdateMode, required [NIMTeamExtensionUpdateModeEnum](../nim_core/NIMTeamExtensionUpdateModeEnum.md) teamExtensionUpdateMode, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)? isAllMute, required [NIMTeamAllMuteModeEnum](../nim_core/NIMTeamAllMuteModeEnum.md) muteMode})

   

[NIMTeam.fromMap](../nim_core/NIMTeam/NIMTeam.fromMap.md) ([Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic> map)

   _factory_


## Properties

##### [announcement](../nim_core/NIMTeam/announcement.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取群组公告  
_<span class="feature">final</span>_



##### [createTime](../nim_core/NIMTeam/createTime.md) &#8594; [num](https://api.flutter.dev/flutter/dart-core/num-class.html)



获取群组的创建时间，单位为毫秒  
_<span class="feature">final</span>_



##### [creator](../nim_core/NIMTeam/creator.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取创建群组的用户帐号  
_<span class="feature">final</span>_



##### [extension](../nim_core/NIMTeam/extension.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



设置群组扩展配置。 通常情况下，该配置应是一个json或xml串，以增强扩展能力  
_<span class="feature">final</span>_



##### [extServer](../nim_core/NIMTeam/extServer.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取服务器设置的扩展配置。 和getExtension()一样，云信不解释该字段，仅负责存储和透传。 不同于getExtension(), 该配置只能通过服务器接口设置，对客户端是只读的。  
_<span class="feature">final</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [icon](../nim_core/NIMTeam/icon.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取群头像  
_<span class="feature">final</span>_



##### [id](../nim_core/NIMTeam/id.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取群组ID  
_<span class="feature">final</span>_



##### [introduce](../nim_core/NIMTeam/introduce.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取群组简介  
_<span class="feature">final</span>_



##### [isAllMute](../nim_core/NIMTeam/isAllMute.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



是否群全员禁言  
_<span class="feature">final</span>_



##### [isMyTeam](../nim_core/NIMTeam/isMyTeam.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



获取自己是否在这个群里  
_<span class="feature">final</span>_



##### [memberCount](../nim_core/NIMTeam/memberCount.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



获取群组的总成员数  
_<span class="feature">final</span>_



##### [memberLimit](../nim_core/NIMTeam/memberLimit.md) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



获取群组的成员人数上限  
_<span class="feature">final</span>_



##### [messageNotifyType](../nim_core/NIMTeam/messageNotifyType.md) &#8594; [NIMTeamMessageNotifyTypeEnum](../nim_core/NIMTeamMessageNotifyTypeEnum.md)



获取当前账号在此群收到消息之后提醒的类型 普通群只支持全部禁言、全部提醒两种提醒类型  
_<span class="feature">final</span>_



##### [muteMode](../nim_core/NIMTeam/muteMode.md) &#8594; [NIMTeamAllMuteModeEnum](../nim_core/NIMTeamAllMuteModeEnum.md)



获取群禁言模式  
_<span class="feature">final</span>_



##### [name](../nim_core/NIMTeam/name.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



获取群组名称  
_<span class="feature">final</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [teamBeInviteModeEnum](../nim_core/NIMTeam/teamBeInviteModeEnum.md) &#8594; [NIMTeamBeInviteModeEnum](../nim_core/NIMTeamBeInviteModeEnum.md)



获取群被邀请模式：被邀请人的同意方式  
_<span class="feature">final</span>_



##### [teamExtensionUpdateMode](../nim_core/NIMTeam/teamExtensionUpdateMode.md) &#8594; [NIMTeamExtensionUpdateModeEnum](../nim_core/NIMTeamExtensionUpdateModeEnum.md)



获取群资料扩展字段修改模式：谁可以修改群自定义属性(扩展字段)  
_<span class="feature">final</span>_



##### [teamInviteMode](../nim_core/NIMTeam/teamInviteMode.md) &#8594; [NIMTeamInviteModeEnum](../nim_core/NIMTeamInviteModeEnum.md)



获取群被邀请模式：被邀请人的同意方式  
_<span class="feature">final</span>_



##### [teamUpdateMode](../nim_core/NIMTeam/teamUpdateMode.md) &#8594; [NIMTeamUpdateModeEnum](../nim_core/NIMTeamUpdateModeEnum.md)



获取群资料修改模式：谁可以修改群资料  
_<span class="feature">final</span>_



##### [type](../nim_core/NIMTeam/type.md) &#8594; [NIMTeamTypeEnum](../nim_core/NIMTeamTypeEnum.md)



获取群组类型  
_<span class="feature">final</span>_



##### [verifyType](../nim_core/NIMTeam/verifyType.md) &#8594; [NIMVerifyTypeEnum](../nim_core/NIMVerifyTypeEnum.md)



获取申请加入群组时的验证类型  
_<span class="feature">final</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toMap](../nim_core/NIMTeam/toMap.md)() [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), dynamic>



  




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















