


# SuperTeamService class













## Constructors

[SuperTeamService](../nim_core/SuperTeamService/SuperTeamService.md) ()

   _factory_


## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [onMemberRemove](../nim_core/SuperTeamService/onMemberRemove.md) &#8596; [Stream](https://api.flutter.dev/flutter/dart-async/Stream-class.html)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeamMember](../nim_core/NIMSuperTeamMember-class.md)>>



移除群成员的观察者通知。
observer 观察者, 参数为被移除的群成员  
_<span class="feature">read / write</span>_



##### [onMemberUpdate](../nim_core/SuperTeamService/onMemberUpdate.md) &#8594; [Stream](https://api.flutter.dev/flutter/dart-async/Stream-class.html)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeamMember](../nim_core/NIMSuperTeamMember-class.md)>>



群成员资料变化观察者通知。
上层APP如果管理了群成员资料的缓存，可通过此接口更新缓存。
observer 观察者, 参数为有更新的群成员资料列表
<code>register</code> true为注册，false为注销  
_<span class="feature">read-only</span>_



##### [onSuperTeamRemove](../nim_core/SuperTeamService/onSuperTeamRemove.md) &#8594; [Stream](https://api.flutter.dev/flutter/dart-async/Stream-class.html)&lt;[NIMSuperTeam](../nim_core/NIMSuperTeam-class.md)>



监听移除群的变化  
_<span class="feature">read-only</span>_



##### [onSuperTeamUpdate](../nim_core/SuperTeamService/onSuperTeamUpdate.md) &#8594; [Stream](https://api.flutter.dev/flutter/dart-async/Stream-class.html)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeam](../nim_core/NIMSuperTeam-class.md)>>



监听群资料变化  
_<span class="feature">read-only</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [acceptInvite](../nim_core/SuperTeamService/acceptInvite.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) inviter) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



接受别人的入群邀请
<code>teamId</code> 群组ID
<code>inviter</code> 邀请我的用户帐号  




##### [addManagers](../nim_core/SuperTeamService/addManagers.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> accountList) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeamMember](../nim_core/NIMSuperTeamMember-class.md)>>>



拥有者添加管理员
<code>teamId</code> 群Id
<code>accountList</code> 待提升为管理员的用户帐号列表  




##### [addMembers](../nim_core/SuperTeamService/addMembers.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> accountList, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) msg) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)>>>



邀请成员
<code>teamId</code> 群组ID
<code>accountList</code> 待加入的群成员帐号列表
<code>msg</code> 附言，长度不得超过5000  




##### [applyJoinTeam](../nim_core/SuperTeamService/applyJoinTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) postscript) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMSuperTeam](../nim_core/NIMSuperTeam-class.md)>>



申请加入一个群，直接加入或者进入等待验证状态时，返回群信息
<code>teamId</code> 群组ID
<code>postscript</code> 附言，长度不得超过5000  




##### [declineInvite](../nim_core/SuperTeamService/declineInvite.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) inviter, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) reaseon) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



拒绝入群邀请
<code>teamId</code> 群组ID
<code>inviter</code> 邀请我的用户帐号
<code>reason</code>  拒绝理由，长度不得超过5000  




##### [muteAllTeamMember](../nim_core/SuperTeamService/muteAllTeamMember.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) mute) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



禁言群全体成员
将整个群禁言，该操作仅群主或者管理员有权限。禁言操作成功之后，会回调群更新接口
<code>teamId</code> 群Id
<code>mute</code> true表示禁言，false表示解除禁言  




##### [muteTeam](../nim_core/SuperTeamService/muteTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [NIMTeamMessageNotifyTypeEnum](../nim_core/NIMTeamMessageNotifyTypeEnum.md) notifyType) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



群消息免打扰
设置指定群消息通知类型
<code>teamId</code> 群Id
<code>notifyType</code> 群消息类型  




##### [muteTeamMember](../nim_core/SuperTeamService/muteTeamMember.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> accountList, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) mute) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



禁言指定成员
支持管理员和群主对普通成员的禁言、解除禁言操作。
<code>teamId</code> 群Id
<code>accountList</code> 被禁言、被解除禁言的账号列表
<code>mute</code> true表示禁言，false表示解除禁言  




##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [passApply](../nim_core/SuperTeamService/passApply.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



通过用户的入群申请<br>
仅管理员和拥有者有此权限
<code>teamId</code> 群组ID
<code>account</code> 申请入群的用户ID  




##### [queryMemberList](../nim_core/SuperTeamService/queryMemberList.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeamMember](../nim_core/NIMSuperTeamMember-class.md)>>>



获取群组成员列表
<code>teamId</code> 群组ID  




##### [queryMemberListByPage](../nim_core/SuperTeamService/queryMemberListByPage.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [int](https://api.flutter.dev/flutter/dart-core/int-class.html) offset, [int](https://api.flutter.dev/flutter/dart-core/int-class.html) limit) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeamMember](../nim_core/NIMSuperTeamMember-class.md)>>>



分页获取群组成员
<code>teamId</code> 群组ID
<code>offset</code> 偏移位置
<code>limit</code>  获取条数，每次最多200  




##### [queryMutedTeamMembers](../nim_core/SuperTeamService/queryMutedTeamMembers.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeamMember](../nim_core/NIMSuperTeamMember-class.md)>>>



查询被禁言群成员
该操作只返回被禁言的用户，群整体禁言情况请通过 Team#getMuteMode 和 Team#isAllMute 查询
<code>teamId</code> 群Id  




##### [queryTeam](../nim_core/SuperTeamService/queryTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMSuperTeam](../nim_core/NIMSuperTeam-class.md)>>



查询群资料，如果本地没有群组资料，则去服务器查询。
如果自己不在这个群中，该接口返回的可能是过期资料，如需最新的，请调用searchTeam(String teamId)接口
<code>teamId</code> 群组ID  




##### [queryTeamList](../nim_core/SuperTeamService/queryTeamList.md)() [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeam](../nim_core/NIMSuperTeam-class.md)>>>



获取自己加入的群的列表  




##### [queryTeamListById](../nim_core/SuperTeamService/queryTeamListById.md)([List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> idList) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeam](../nim_core/NIMSuperTeam-class.md)>>>



根据群id列表批量查询群信息
<code>idList</code> 群id列表  




##### [queryTeamMember](../nim_core/SuperTeamService/queryTeamMember.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMSuperTeamMember](../nim_core/NIMSuperTeamMember-class.md)>>



获取指定群组成员
<code>teamId</code> 群组ID
<code>account</code> 群成员帐号  




##### [quitTeam](../nim_core/SuperTeamService/quitTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



主动退群
<code>teamId</code> 群组ID  




##### [rejectApply](../nim_core/SuperTeamService/rejectApply.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) reason) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



拒绝用户的入群申请
仅管理员和拥有者有此权限
<code>teamId</code> 群组ID
<code>account</code> 申请入群的用户ID
<code>reason</code>  拒绝理由，长度不得超过5000  




##### [removeManagers](../nim_core/SuperTeamService/removeManagers.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> accountList) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeamMember](../nim_core/NIMSuperTeamMember-class.md)>>>



移除管理员
拥有者撤销管理员权限
<code>teamId</code> 群Id
<code>accountList</code> 待撤销的管理员的帐号列表  




##### [removeMembers](../nim_core/SuperTeamService/removeMembers.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> members) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



移除成员，只有群主有此权限
<code>teamId</code> 群组ID
<code>members</code> 被踢出的成员帐号列表  




##### [searchTeam](../nim_core/SuperTeamService/searchTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMSuperTeam](../nim_core/NIMSuperTeam-class.md)>>



从服务器上查询群资料信息
<code>teamId</code> 群组ID  




##### [searchTeamIdByName](../nim_core/SuperTeamService/searchTeamIdByName.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) name) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)>>>



用户可以查询到具有指定群名称的群ID的列表 (iOS 暂不支持)
<code>name</code> 群名称  




##### [searchTeamsByKeyword](../nim_core/SuperTeamService/searchTeamsByKeyword.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) keyword) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeam](../nim_core/NIMSuperTeam-class.md)>>>



用户在客户端本地可以搜索与关键字匹配的所有群：（iOS暂不支持）
<code>keyword</code> 要搜索的关键字  




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_



##### [transferTeam](../nim_core/SuperTeamService/transferTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) quit) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMSuperTeamMember](../nim_core/NIMSuperTeamMember-class.md)>>>



拥有者将群的拥有者权限转给另外一个人，转移后，另外一个人成为拥有者
原拥有者变成普通成员。
<code>teamId</code> 群Id
<code>account</code> 新任拥有者的用户帐号
<code>quit</code>    转移时是否要同时退出该群  




##### [updateMemberNick](../nim_core/SuperTeamService/updateMemberNick.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) nick) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



群组管理员修改群内其他成员的群昵称。
仅群管理员和拥有者有此权限
<code>teamId</code>    所在群组ID
<code>account</code> 要修改的群成员帐号
<code>nick</code>   新的群昵称  




##### [updateMyMemberExtension](../nim_core/SuperTeamService/updateMyMemberExtension.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)> extension) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



修改自己的群成员扩展字段（自定义属性, 最长32个字符）
<code>teamId</code>    所在群组ID
<code>extension</code> 新的扩展字段（自定义属性）  




##### [updateMyTeamNick](../nim_core/SuperTeamService/updateMyTeamNick.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) nick) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



群修改自己的群昵称
<code>teamId</code>    所在群组ID
<code>nick</code>   新的群昵称  




##### [updateTeamFields](../nim_core/SuperTeamService/updateTeamFields.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [NIMTeamUpdateFieldRequest](../nim_core/NIMTeamUpdateFieldRequest-class.md) request) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



编辑多个资料  






## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















