


# TeamService class













## Constructors

[TeamService](../nim_core/TeamService/TeamService.md) ()

   _factory_


## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [onTeamListRemove](../nim_core/TeamService/onTeamListRemove.md) &#8594; [Stream](https://api.flutter.dev/flutter/dart-async/Stream-class.html)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMTeam](../nim_core/NIMTeam-class.md)>>



移除群的观察者通知。自己退群，群被解散，自己被踢出群时，会收到该通知
observer 观察者, 参数为被移除的群资料，此时群的isMyTeam接口返回false  
_<span class="feature">read-only</span>_



##### [onTeamListUpdate](../nim_core/TeamService/onTeamListUpdate.md) &#8594; [Stream](https://api.flutter.dev/flutter/dart-async/Stream-class.html)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMTeam](../nim_core/NIMTeam-class.md)>>



群资料变动观察者通知。新建群和群更新的通知都通过该接口传递
observer 观察者, 参数为有更新的群资料列表  
_<span class="feature">read-only</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [acceptInvite](../nim_core/TeamService/acceptInvite.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) inviter) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



接受别人的入群邀请  




##### [addManagers](../nim_core/TeamService/addManagers.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> accounts) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMTeamMember](../nim_core/NIMTeamMember-class.md)>>>



群主添加管理员
仅群主有此权限
teamId   群ID
accounts 待提升为管理员的用户帐号列表
Future 可以设置回调函数,如果成功，参数为新增的群管理员列表  




##### [addMembersEx](../nim_core/TeamService/addMembersEx.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, required [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> accounts, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) msg, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) customInfo}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)>>>



添加成员并设置自定义字段
teamId	群组ID
accounts	待加入的群成员帐号列表
msg	邀请附言 ，不需要的话设置为空
customInfo	自定义扩展字段，不需要的话设置为空  




##### [applyJoinTeam](../nim_core/TeamService/applyJoinTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) postscript) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMTeam](../nim_core/NIMTeam-class.md)>>



用户申请加入群。
teamId 申请加入的群ID
postscript 申请附言  




##### [createTeam](../nim_core/TeamService/createTeam.md)({required [NIMCreateTeamOptions](../nim_core/NIMCreateTeamOptions-class.md) createTeamOptions, required [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> members}) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMCreateTeamResult](../nim_core/NIMCreateTeamResult-class.md)>>



创建一个群组
云信群组分为两类：普通群和高级群，两种群组的消息功能都是相同的，区别在于管理功能。普通群所有人都可以拉人入群，除群主外，其他人都不能踢人；
高级群则拥有完善的成员权限体系及管理功能。创建群的接口相同，传入不同的类型参数即可。  




##### [declineInvite](../nim_core/TeamService/declineInvite.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) inviter, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) reason) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



拒绝入群邀请
<code>teamId</code> 群组ID
<code>inviter</code> 邀请我的用户帐号
<code>reason</code>  拒绝理由，长度不得超过5000  




##### [dismissTeam](../nim_core/TeamService/dismissTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



解散群，只有群主有此权限
可以设置回调函数，监听操作结果  




##### [getMemberInvitor](../nim_core/TeamService/getMemberInvitor.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> accids) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), [String](https://api.flutter.dev/flutter/dart-core/String-class.html)>>>



获取群成员入群邀请人（为空表示主动入群，没有邀请人）
teamId
accids 查询用户accid列表，最多两百
返回用户的对应关系，key为accid value是inviteAccid  




##### [muteAllTeamMember](../nim_core/TeamService/muteAllTeamMember.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) mute) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



对整个群禁言、解除禁言，对普通成员生效，只有群组、管理员有权限
teamId 群组 ID
mute   true表示禁言，false表示解除禁言  




##### [muteTeam](../nim_core/TeamService/muteTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [NIMTeamMessageNotifyTypeEnum](../nim_core/NIMTeamMessageNotifyTypeEnum.md) notifyType) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



设置指定群消息通知类型，支持多端同步
notifyType   通知类型枚举  




##### [muteTeamMember](../nim_core/TeamService/muteTeamMember.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) mute) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



禁言、解除禁言  




##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [passApply](../nim_core/TeamService/passApply.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



通过用户的入群申请
仅管理员和群主有此权限  




##### [queryMemberList](../nim_core/TeamService/queryMemberList.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMTeamMember](../nim_core/NIMTeamMember-class.md)>>>



获取指定群的成员信息列表. <br>
该操作有可能只是从本地数据库读取缓存数据，也有可能会从服务器同步新的数据, 因此耗时可能会比较长。
teamId 群ID
可以设置回调函数，如果成功，参数为群的成员信息列表  




##### [queryMutedTeamMembers](../nim_core/TeamService/queryMutedTeamMembers.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMTeamMember](../nim_core/NIMTeamMember-class.md)>>>



查询被禁言群成员列表
该操作，只返回调用TeamService#muteTeamMember(String, String, boolean) 禁言的用户。
teamId    群ID
群成员信息列表  




##### [queryTeam](../nim_core/TeamService/queryTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMTeam](../nim_core/NIMTeam-class.md)>>



查询群资料，如果本地没有群组资料，则去服务器查询。
如果自己不在这个群中，该接口返回的可能是过期资料，如需最新的，请调用{@link #searchTeam(String)}接口
<code>teamId</code> 群ID  




##### [queryTeamList](../nim_core/TeamService/queryTeamList.md)() [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMTeam](../nim_core/NIMTeam-class.md)>>>



从本地获取所有群组
获取自己加入的群的列表
可以设置回调函数，如果成功，参数为自己加入的群的列表  




##### [queryTeamMember](../nim_core/TeamService/queryTeamMember.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMTeamMember](../nim_core/NIMTeamMember-class.md)>>



查询群成员资料。如果本地群成员资料已过期会去服务器获取最新的。
<code>teamId</code>  群ID
<code>account</code> 群成员帐号  




##### [quitTeam](../nim_core/TeamService/quitTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



退出群
teamId 群ID  




##### [rejectApply](../nim_core/TeamService/rejectApply.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) reason) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



拒绝用户的入群申请
仅管理员和拥有者有此权限  




##### [removeManagers](../nim_core/TeamService/removeManagers.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> managers) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMTeamMember](../nim_core/NIMTeamMember-class.md)>>>



群主撤销管理员权限
仅群主有此权限
teamId   群ID
managers 待撤销的管理员的帐号列表
可以设置回调函数，如果成功，参数为被撤销的群成员列表(权限已被降为Normal)。  




##### [removeMembers](../nim_core/TeamService/removeMembers.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)> members) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



移除成员，只有创建者有此权限  




##### [searchTeam](../nim_core/TeamService/searchTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[NIMTeam](../nim_core/NIMTeam-class.md)>>



从服务器上查询群资料信息
teamId 群ID  




##### [searchTeamIdByName](../nim_core/TeamService/searchTeamIdByName.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) name) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html)>>>



通过群名称反查群组ID
name 群组名称
群ID列表  




##### [searchTeamsByKeyword](../nim_core/TeamService/searchTeamsByKeyword.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) keyword) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMTeam](../nim_core/NIMTeam-class.md)>>>



用户在客户端本地可以搜索与关键字匹配的所有群：
通过群名称反查群组ID
name 群组名称
群ID列表  




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_



##### [transferTeam](../nim_core/TeamService/transferTeam.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account, [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) quit) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;[List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[NIMTeamMember](../nim_core/NIMTeamMember-class.md)>>>



群主将群的群主权限转给另外一个人，转移后，另外一个人成为群主。
原群主变成普通成员。若参数quit为true，原群主直接退出该群。
InvocationFuture 可以设置回调函数，如果成功，视参数quit值：
quit为false：参数仅包含原群主和当前群主的(即操作者和account)，权限已被更新。
quit为true: 参数为空。  




##### [updateMemberNick](../nim_core/TeamService/updateMemberNick.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) account, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) nick) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



群组管理员修改群内其他成员的群昵称。
仅群管理员和群主有此权限
<code>teamId</code>  所在群组ID
<code>account</code> 要修改的群成员帐号
<code>nick</code>    新的群昵称  




##### [updateMyMemberExtension](../nim_core/TeamService/updateMyMemberExtension.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[String](https://api.flutter.dev/flutter/dart-core/String-class.html), [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)> extension) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



修改自己的群成员扩展字段（自定义属性）
teamId    所在群组ID
extension 新的扩展字段（自定义属性）  




##### [updateMyTeamNick](../nim_core/TeamService/updateMyTeamNick.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) nick) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



修改自己的群昵称  




##### [updateTeamFields](../nim_core/TeamService/updateTeamFields.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) teamId, [NIMTeamUpdateFieldRequest](../nim_core/NIMTeamUpdateFieldRequest-class.md) request) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[NIMResult](../nim_core/NIMResult-class.md)&lt;void>>



批量更新群组资料，可一次性更新多个字段的值。
teamId    群ID
request 需要更新的属性及其值  






## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















